Update integration as primary
Update an integration as **primary** by its unique key identifier **integrationId**. This API will set the integration as primary for that channel in the current environment. Primary integration is used to deliver notification for sms and email channels in the workflow. Only integration metadata is returned, credentials field is returned as an empty object.
Update an integration as primary by its unique key identifier integrationId. This API will set the integration as primary for that channel in the current environment. Primary integration is used to deliver notification for sms and email channels in the workflow. Only integration metadata is returned, credentials field is returned as an empty object.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/integrations/string/set-primary"{ "data": { "_id": "string", "_environmentId": "string", "_organizationId": "string", "name": "string", "identifier": "string", "providerId": "string", "channel": "in_app", "kind": "delivery", "credentials": { "apiKey": "string", "user": "string", "secretKey": "string", "domain": "string", "password": "string", "host": "string", "port": "string", "secure": true, "region": "string", "accountSid": "string", "messageProfileId": "string", "token": "string", "from": "string", "senderName": "string", "projectName": "string", "applicationId": "string", "clientId": "string", "requireTls": true, "ignoreTls": true, "tlsOptions": {}, "baseUrl": "string", "webhookUrl": "string", "redirectUrl": "string", "hmac": true, "serviceAccount": "string", "ipPoolName": "string", "apiKeyRequestHeader": "string", "secretKeyRequestHeader": "string", "idPath": "string", "datePath": "string", "apiToken": "string", "authenticateByToken": true, "authenticationTokenKey": "string", "instanceId": "string", "alertUid": "string", "title": "string", "imageUrl": "string", "state": "string", "externalLink": "string", "channelId": "string", "phoneNumberIdentification": "string", "accessKey": "string", "appSid": "string", "senderId": "string", "tenantId": "string", "AppIOBaseUrl": "string", "signingSecret": "string", "outboundIntegrationId": "string", "useFromAddressOverride": true, "fromAddressOverride": "string", "emailSlugPrefix": "string", "externalEnvironmentId": "string", "externalVaultId": "string", "externalWorkspaceId": "string" }, "configurations": { "inboundWebhookEnabled": true, "inboundWebhookSigningKey": "string" }, "active": true, "deleted": true, "deletedAt": "string", "deletedBy": "string", "primary": true, "conditions": [ { "isNegated": true, "type": "BOOLEAN", "value": "AND", "children": [ { "field": "string", "value": "string", "operator": "LARGER", "on": "subscriber" } ] } ] }}Auto-configure an integration for inbound webhooks POST
Auto-configure an integration by its unique key identifier **integrationId** for inbound webhook support. This will automatically generate required webhook signing keys and configure webhook endpoints. Only integration metadata is returned, credentials field is returned as an empty object.
Generate chat OAuth URL POST
**Deprecated** — use `POST /integrations/channel-connections/oauth` (connect) or `POST /integrations/channel-endpoints/oauth` (link_user) instead. Generate an OAuth URL for chat integrations like Slack and MS Teams. This URL allows subscribers to authorize the integration, enabling the system to send messages through their chat workspace. The generated URL expires after 5 minutes.